> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addEmployeeMiscellaneousStateTax

> The `addEmployeeMiscellaneousStateTax ` API is used to collect state-specific tax withholding information for employees in states that require profession/job specific taxes

### What it does:

- Used when a state tax does not apply to all employees within the state, but to a select few professions/jobs

### Notes:

- This step is only required for employees subjest to state taxes not covered in the standard W4 import. Skip this step if the employee is not subject to miscellaneous taxes.
- "CompositeRate" cannot be less than "PayrollDeductionRate".
- A user's MiscellaneousStateTaxes can be seen in `getUsers` and `getUser` APIs.
- After adding MiscellaneousStateTaxes, use `getEmployeeMiscellaneousStateTaxforPayroll` to retrieve the exact object to add the taxes to payroll.



## OpenAPI

````yaml post /adminPortal/addEmployeeMiscellaneousStateTax
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/addEmployeeMiscellaneousStateTax:
    post:
      tags: []
      summary: addEmployeeMiscellaneousStateTax
      description: >-
        The `addEmployeeMiscellaneousStateTax ` API is used to collect
        state-specific tax withholding information for employees in states that
        require profession/job specific taxes


        ### What it does:


        - Used when a state tax does not apply to all employees within the
        state, but to a select few professions/jobs


        ### Notes:


        - This step is only required for employees subjest to state taxes not
        covered in the standard W4 import. Skip this step if the employee is not
        subject to miscellaneous taxes.

        - "CompositeRate" cannot be less than "PayrollDeductionRate".

        - A user's MiscellaneousStateTaxes can be seen in `getUsers` and
        `getUser` APIs.

        - After adding MiscellaneousStateTaxes, use
        `getEmployeeMiscellaneousStateTaxforPayroll` to retrieve the exact
        object to add the taxes to payroll.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
                employeeMiscellaneousStateTax:
                  type: object
                  properties:
                    CompositeRate:
                      type: string
                    RiskClassName:
                      type: string
                    RiskClassCode:
                      type: string
                    PayrollDeductionRate:
                      type: string
                  required:
                    - CompositeRate
                    - RiskClassName
                    - RiskClassCode
                    - PayrollDeductionRate
              required:
                - method
                - companyId
                - userId
                - employeeMiscellaneousStateTax
            example:
              method: addEmployeeMiscellaneousStateTax
              companyId: 7440E812-C699-4A94-AE14-A4B788D83299
              userId: 98CCB6CF-08DD-4C17-A367-B339CD5526CD
              employeeMiscellaneousStateTax:
                CompositeRate: '5'
                RiskClassName: Painter
                RiskClassCode: '121212'
                PayrollDeductionRate: '4'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                employeeMiscellaneousStateTax:
                  status: Ready
                  message: >-
                    The Employee Miscellaneous State Tax Information has been
                    saved successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: >-
                    CompositeRate (5.0) cannot be less than PayrollDeductionRate
                    (7.0)
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````